<!--<!DOCTYPE html>-->
<!--<html lang="en">-->
<!--<head>-->
<!--  <meta charset="UTF-8">-->
<!--  <title>Title</title>-->
<!--</head>-->
<!--<body>-->
<!--<table>-->
<!--  <thead>-->
<!--  <tr>-->
<!--    <th>ID</th>-->
<!--    <th>First Name</th>-->
<!--    <th>Last Name</th>-->
<!--    <th>Pesel</th>-->
<!--    <th>Email</th>-->
<!--    <th>Residence Address</th>-->
<!--    <th>Registration Address</th>-->
<!--    <th>Private Phone Number</th>-->
<!--    <th>Work Phone Number</th>-->
<!--  </tr>-->
<!--  </thead>-->
<!--  <tbody>-->
<!--  <tr th:each="user : ${users}">-->
<!--    <td th:text="${user.id}"></td>-->
<!--    <td th:text="${user.firstName}"></td>-->
<!--    <td th:text="${user.lastName}"></td>-->
<!--    <td th:text="${user.pesel}"></td>-->
<!--    <td th:each="method : ${user.communicationMethods}">-->
<!--    <td th:text="${method.email}"></td>-->
<!--    <td th:text="${method.residenceAddress}"></td>-->
<!--    <td th:text="${method.registrationAddress}"></td>-->
<!--    <td th:text="${method.privatePhoneNumber}"></td>-->
<!--    <td th:text="${method.workPhoneNumber}"></td>-->
<!--    </td>-->
<!--  </tr>-->
<!--  </tbody>-->
<!--</table>-->
<!--</body>-->
<!--</html>-->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Users</title>
</head>
<body>
<table>
    <thead>
    <tr>
        <th>ID</th>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Pesel</th>
        <th>Email</th>
        <th>Residence Address</th>
        <th>Registration Address</th>
        <th>Private Phone Number</th>
        <th>Work Phone Number</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="user : ${users}">
        <td th:text="${user.id}"></td>
        <td th:text="${user.firstName}"></td>
        <td th:text="${user.lastName}"></td>
        <td th:text="${user.pesel}"></td>
        <th:block th:each="method : ${user.communicationMethods}" th:if="${method != null}">
            <td th:text="${method.email}"></td>
            <td th:text="${method.residenceAddress}"></td>
            <td th:text="${method.registrationAddress}"></td>
            <td th:text="${method.privatePhoneNumber}"></td>
            <td th:text="${method.workPhoneNumber}"></td>
        </th:block>
    </tr>
    </tbody>
</table>
</body>
</html>
